Skip to navigation

Cancel batch of orders by order IDs

Queues cancellation for multiple orders by providing identifiers in a batch.

The request body can contain either or both of:

  • order_ids: Array of order IDs assigned by Paradex
  • client_order_ids: Array of client-assigned order IDs
{
"order_ids": ["order-id-1", "order-id-2"],
"client_order_ids": ["client-id-1", "client-id-2"]
}

Returns a 200 OK status code with detailed results for each order:

{
"results": [
{
"id": "order-id-1",
"client_id": "client-id-X",
"account": "account-1",
"market": "BTC-USD-PERP",
"status": "QUEUED_FOR_CANCELLATION"
},
{
"id": "order-id-2",
"client_id": "client-id-Y",
"account": "account-1",
"market": "ETH-USD-PERP",
"status": "ALREADY_CLOSED"
},
{
"id": "order-id-3",
"client_id": "client-id-1",
"account": "account-1",
"market": "BTC-USD-PERP",
"status": "QUEUED_FOR_CANCELLATION"
},
{
"client_id": "client-id-2",
"status": "NOT_FOUND"
}
]
}

Each result includes:

  • id: Order ID (if the order was found)
  • client_id: Client order ID (if available)
  • account: Account that owns the order
  • market: Market of the order
  • status: One of:
    • QUEUED_FOR_CANCELLATION: Order was successfully queued for cancellation
    • ALREADY_CLOSED: Order was already in a closed state
    • NOT_FOUND: The order with the provided ID/client ID was not found

Confirmation of cancellation will be sent via websocket or can be verified from GET /orders/:id endpoint.

Orders that are already in a CLOSED state will be included in the response with status “ALREADY_CLOSED”.

Authentication

Authorizationstring
API Key authentication via header

Request

Order IDs to cancel
client_order_idslist of stringsOptional
List of client order IDs to cancel
order_idslist of stringsOptional
List of order IDs to cancel

Response

List of cancellation results
resultslist of objectsOptional
List of cancellation results

Errors

400
Bad Request Error